#include "OsiClpSolverInterface.hpp"

#include "CoinPackedMatrix.hpp"
#include "CoinPackedVector.hpp"
#include <iostream>
#include <vector>
using namespace std;


int main(int argc, char* argv[]){
  OsiClpSolverInterface* si = new OsiClpSolverInterface();
  si->readMps(argv[1]);

  si->getModelPtr()->setSolveType(1);
  si->enableSimplexInterface(false);
 
  si->resolve();

  const double * sol = si->getColSolution();
  for(int i = 0; i < si->getNumCols(); i++){
    cout << "sol[" << i << "] : " << sol[i] << endl;
  }
}
